Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip3
/
prices
/
{symbol}
Get HIP-3 price history
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip3/prices/{symbol} \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "timestamp": "2026-02-23T12:00:00.000Z",
      "mark_price": "95000.50",
      "oracle_price": "94998.25",
      "mid_price": "95000.00"
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

HIP-3 symbol (case-sensitive, e.g., km:US500)

Example:

"km:US500"

Query Parameters

start
integer<int64>

Start timestamp in milliseconds

end
integer<int64>

End timestamp in milliseconds

interval
enum<string>

Aggregation interval

Available options:
5m,
15m,
30m,
1h,
4h,
1d
limit
integer
default:100

Maximum number of results (default: 100, max: 1000)

Required range: x <= 1000
cursor
string

Cursor for pagination

Response

Price history data

API response containing an array of price snapshots

success
boolean
Example:

true

data
object[]
meta
object
Last modified on May 20, 2026